Create File Manager File From Multipart File - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Create File Manager File From Multipart File

Endpoint

POST /v1/file-manager/import

cURL Example

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'fileManagerFile={
  "originalName": "<string>",
  "extension": "<string>",
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "engagementId": "<string>",
  "parentFileManagerEntityId": "<string>",
  "name": "<string>",
  "status": [],
  "fileInfoId": "<string>"
}' \
  --form file='@example-file'

Example Python Code

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/file-manager/import"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "fileManagerFile": "{
  \"originalName\": \"<string>\",
  \"extension\": \"<string>\",
  \"id\": \"<string>\",
  \"version\": 123,
  \"creationDate\": \"2023-11-07T05:31:56Z\",
  \"lastModifiedDate\": \"2023-11-07T05:31:56Z\",
  \"engagementId\": \"<string>\",
  \"parentFileManagerEntityId\": \"<string>\",
  \"name\": \"<string>\",
  \"status\": [],
  \"fileInfoId\": \"<string>\"
}" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)

Expected Response Structure

{
  "originalName": "<string>",
  "extension": "<string>",
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "parentFileManagerEntityId": "<string>",
  "name": "<string>",
  "status": [],
  "fileInfoId": "<string>"
}

Authorizations

Headers

Body

Response Codes

Permissions